# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename clean-css

Name:               nodejs-clean-css
Version:            3.3.3
Release:            1%{?dist}
Summary:            A well-tested CSS minifier

License:            MIT
URL:                https://www.npmjs.org/package/clean-css
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(commander)

Requires:           npm(commander)

%if 0%{?enable_tests}
BuildRequires:      npm(browserify)
BuildRequires:      npm(nock)
BuildRequires:      npm(jshint)
BuildRequires:      npm(server-destroy)
BuildRequires:      npm(uglify-js)
BuildRequires:      npm(vows)
%endif

%description
Clean-css is a fast and efficient [Node.js](http://nodejs.org/) library for
minifying CSS files.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep commander
%nodejs_fixdep source-map '0.1.x'

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/clean-css
cp -pr package.json lib bin/ index.js \
    %{buildroot}%{nodejs_sitelib}/clean-css

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{barename}/bin/cleancss %{buildroot}%{_bindir}/

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
vows
%endif

%files
%doc README.md History.md
%license LICENSE
%{_bindir}/cleancss
%{nodejs_sitelib}/clean-css/

%changelog
* Sat Jun 20 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.3.3-1
- new version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 Ralph Bean <rbean@redhat.com> - 3.1.8-1
- new version

* Sat Mar 14 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.1.6-1
- Update to upstream 3.1.6
- Fixdep nodejs-source-map

* Wed Mar 04 2015 Ralph Bean <rbean@redhat.com> - 3.1.4-1
- new version

* Sun Feb 15 2015 Piotr Popieluch <piotr1212@gmail.com> - 3.0.3-1
- Update to upstream 3.0.3

* Wed Dec 24 2014 Parag Nemade <pnemade AT redhat.com> - 2.2.8-2
- Add missing cleancss binary

* Mon Jul 21 2014 Ralph Bean <rbean@redhat.com> - 2.2.8-1
- Latest upstream.
- Specify noarch.

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 2.2.6-1
- Initial packaging for Fedora.
